--- neb/postgres/inserter.c.orig	2005-08-04 12:07:30.000000000 +0200
+++ neb/postgres/inserter.c	2005-08-10 13:13:57.651915002 +0200
@@ -52,6 +52,9 @@
 static int processStatus(int, void *);
 static int processCheck(int, void *);
 
+/* handle */
+void *inserter_module_handle=NULL;
+
 char *
 pullValue(char* in)
 {
@@ -89,6 +92,9 @@
 
 	g_thread_init(0);
 
+	/* save our handle */
+	inserter_module_handle=handle;
+
 	write_to_all_logs("initializing nagios-db postgres inserter...",NSLOG_INFO_MESSAGE);
 
 	/* Parse our arg string.
@@ -250,7 +262,7 @@
 
 	write_to_all_logs("nagios-db postgres inserter locked into db",NSLOG_INFO_MESSAGE);
 
-	neb_register_callback(NEBCALLBACK_TIMED_EVENT_DATA, 0, processStart);
+	neb_register_callback(NEBCALLBACK_TIMED_EVENT_DATA, inserter_module_handle, 0, processStart);
 
 	return 0;
 }
@@ -579,10 +591,11 @@
 	write_to_all_logs("nagios-db: configuration complete. Registering for status notifications...",NSLOG_INFO_MESSAGE);
 
 	neb_deregister_callback(NEBCALLBACK_TIMED_EVENT_DATA, processStart);
-	neb_register_callback(NEBCALLBACK_HOST_STATUS_DATA, 0, processStatus);
-	neb_register_callback(NEBCALLBACK_SERVICE_STATUS_DATA, 0, processStatus);
-	neb_register_callback(NEBCALLBACK_HOST_CHECK_DATA, 0, processCheck);
-	neb_register_callback(NEBCALLBACK_SERVICE_CHECK_DATA, 0, processCheck);
+	neb_register_callback(NEBCALLBACK_HOST_STATUS_DATA, inserter_module_handle, 0, processStatus);
+	neb_register_callback(NEBCALLBACK_SERVICE_STATUS_DATA, inserter_module_handle, 0, processStatus);
+	neb_register_callback(NEBCALLBACK_HOST_CHECK_DATA, inserter_module_handle, 0, processCheck);
+	neb_register_callback(NEBCALLBACK_SERVICE_CHECK_DATA, inserter_module_handle, 0, processCheck);
+
 
 	return 0;
 }
